# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.18)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget art::Version art::ParameterSetHelpers_CLHEP art::Utilities art::Persistency_Common art::Persistency_Provenance art::Framework_Services_Registry art::Framework_Services_FileServiceInterfaces art::Framework_Principal)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target art::Version
add_library(art::Version SHARED IMPORTED)

set_target_properties(art::Version PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target art::ParameterSetHelpers_CLHEP
add_library(art::ParameterSetHelpers_CLHEP INTERFACE IMPORTED)

set_target_properties(art::ParameterSetHelpers_CLHEP PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "CLHEP::Vector"
  INTERFACE_SOURCES "${_IMPORT_PREFIX}/include/art/Utilities/ParameterSetHelpers/CLHEP_ps.h"
)

# Create imported target art::Utilities
add_library(art::Utilities SHARED IMPORTED)

set_target_properties(art::Utilities PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "canvas::canvas;fhiclcpp::fhiclcpp;cetlib::cetlib;hep_concurrency::hep_concurrency;cetlib_except::cetlib_except;TBB::tbb"
)

# Create imported target art::Persistency_Common
add_library(art::Persistency_Common SHARED IMPORTED)

set_target_properties(art::Persistency_Common PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "canvas::canvas;cetlib::cetlib;cetlib_except::cetlib_except"
)

# Create imported target art::Persistency_Provenance
add_library(art::Persistency_Provenance SHARED IMPORTED)

set_target_properties(art::Persistency_Provenance PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "art::Utilities;canvas::canvas;cetlib::container_algorithms;fhiclcpp::fhiclcpp"
)

# Create imported target art::Framework_Services_Registry
add_library(art::Framework_Services_Registry SHARED IMPORTED)

set_target_properties(art::Framework_Services_Registry PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "art::Persistency_Provenance;art::Utilities;canvas::canvas;fhiclcpp::types;fhiclcpp::fhiclcpp;cetlib::cetlib;cetlib_except::cetlib_except"
)

# Create imported target art::Framework_Services_FileServiceInterfaces
add_library(art::Framework_Services_FileServiceInterfaces SHARED IMPORTED)

set_target_properties(art::Framework_Services_FileServiceInterfaces PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target art::Framework_Principal
add_library(art::Framework_Principal SHARED IMPORTED)

set_target_properties(art::Framework_Principal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "art::Persistency_Provenance;art::Persistency_Common;hep_concurrency::hep_concurrency;TBB::tbb"
)

if(CMAKE_VERSION VERSION_LESS 3.1.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.1.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/artTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
